services:
  hugo-personal-site:
    image: klakegg/hugo:ext-alpine
    container_name: hugo-personal-site
    working_dir: /src
    command: >-
      server
      --bind 0.0.0.0
      --port 80
      --appendPort=false
      --disableFastRender
      --navigateToChanged
      --baseURL ${HUGO_BASEURL}
    volumes:
      - ../site:/src
    ports:
      - "${HOST_PORT:-9080}:80"
    restart: unless-stopped
